Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459250 - Provide means to limit brokers memory use (RHEL4)
Summary: Provide means to limit brokers memory use (RHEL4)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: 1.0.1
: ---
Assignee: messaging-bugs
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On: 452141
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 12:17 UTC by Gordon Sim
Modified: 2008-10-06 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 18:59:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0867 0 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 18:58:51 UTC

Description Gordon Sim 2008-08-15 12:17:43 UTC
+++ This bug was initially created as a clone of Bug #452141 +++

In the simplest case we should just issue session exceptions when client attempt
to do things that would push the broker above a given limit.

--- Additional comment from gsim@redhat.com on 2008-07-10 04:47:51 EDT ---

Moving target to 1.1 as we don't yet have a good solution for this.

--- Additional comment from gsim@redhat.com on 2008-07-17 11:13:49 EDT ---

Initial suggested solution is as follows:

On startup broker determines the available system memory. The default policy on
any queue for which an explicit policy is not set is to not go above a certain
percentage of this (else flow to disk or throw exception as usual).

--- Additional comment from gsim@redhat.com on 2008-07-25 09:36:56 EDT ---

Fixed by r679462.

--- Additional comment from gsim@redhat.com on 2008-08-15 04:03:45 EDT ---

Fix involves applying a fixed size (but configurable) default policy for queues (--default-queue-policy). Once the total message data on the queue reaches that limit, further publications will be either flushed to disk (if the queue is durable) or failed.

Comment 2 Frantisek Reznicek 2008-09-10 08:26:16 UTC
RHTS test MRG_Messaging/qpid_queue_policy_bz452141_bz456667 proves that queue policies (queue max message count and queue byte size) are implemented and tested. (ON_QA->VERIFIED)

Comment 4 errata-xmlrpc 2008-10-06 18:59:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html


Note You need to log in before you can comment on or make changes to this bug.